#!/usr/bin/env python

map3 = {"filename": "map3.jpg",
        "connections": {
            "Underground": [[1, 9, 46],
                            [13, 23, 22, 34, 47, 46],
                            [13, 50, 67],
                            [13, 14, 15, 16, 29, 55, 71, 89],
                            [46, 45, 58, 74],
                            [46, 61, 62, 79],
                            [67, 66, 65, 64, 63, 79],
                            [67, 68, 89],
                            [67, 83, 101, 100, 112, 111],
                            [79, 78, 77, 95, 94, 93],
                            [79, 98, 110, 111],
                            [89, 105, 108, 135, 143, 128],
                            [89, 88, 104, 115, 126, 140],
                            [111, 124, 123, 137, 147, 163],
                            [111, 130, 139, 153],
                            [128, 142, 141, 133, 140],
                            [128, 172, 187, 198, 185],
                            [140, 154, 153],
                            [153, 165, 164, 163],
                            [153, 167, 168, 184, 185]],
            "Taxi": [[1, 9],
                     [1, 8],
                     [2, 10],
                     [2, 20],
                     [3, 11],
                     [3, 12],
                     [3, 4],
                     [4, 13],
                     [5, 15],
                     [5, 16],
                     [6, 29],
                     [6, 7],
                     [7, 17],
                     [8, 18],
                     [8, 19],
                     [9, 19],
                     [9, 20],
                     [10, 21],
                     [10, 34],
                     [10, 11],
                     [11, 22],
                     [12, 23],
                     [13, 23],
                     [13, 24],
                     [14, 25],
                     [14, 15],
                     [15, 26],
                     [15, 28],
                     [15, 16],
                     [16, 28],
                     [16, 29],
                     [17, 29],
                     [17, 30],
                     [18, 31],
                     [18, 43],
                     [19, 32],
                     [20, 33],
                     [21, 33],
                     [22, 34],
                     [22, 35],
                     [22, 23],
                     [23, 37],
                     [24, 37],
                     [24, 38],
                     [25, 38],
                     [25, 39],
                     [26, 39],
                     [26, 27],
                     [27, 40],
                     [27, 28],
                     [28, 41],
                     [29, 41],
                     [29, 55],
                     [29, 42],
                     [30, 42],
                     [31, 43],
                     [31, 44],
                     [32, 44],
                     [32, 45],
                     [32, 33],
                     [33, 46],
                     [34, 47],
                     [34, 48],
                     [35, 48],
                     [35, 65],
                     [35, 36],
                     [36, 49],
                     [36, 37],
                     [37, 50],
                     [38, 50],
                     [38, 51],
                     [39, 51],
                     [39, 52],
                     [40, 52],
                     [40, 53],
                     [40, 41],
                     [41, 54],
                     [42, 72],
                     [42, 56],
                     [43, 57],
                     [44, 58],
                     [45, 58],
                     [45, 59],
                     [45, 60],
                     [45, 46],
                     [46, 61],
                     [46, 47],
                     [47, 62],
                     [48, 62],
                     [48, 63],
                     [49, 66],
                     [49, 50],
                     [51, 67],
                     [51, 68],
                     [51, 52],
                     [52, 69],
                     [53, 69],
                     [53, 54],
                     [54, 70],
                     [54, 55],
                     [55, 71],
                     [56, 91],
                     [57, 73],
                     [57, 58],
                     [58, 74],
                     [58, 75],
                     [58, 59],
                     [59, 75],
                     [59, 76],
                     [60, 76],
                     [60, 61],
                     [61, 76],
                     [61, 78],
                     [61, 62],
                     [62, 79],
                     [63, 79],
                     [63, 80],
                     [63, 64],
                     [64, 81],
                     [64, 65],
                     [65, 82],
                     [65, 66],
                     [66, 82],
                     [66, 67],
                     [67, 84],
                     [67, 68],
                     [68, 85],
                     [68, 69],
                     [69, 86],
                     [70, 87],
                     [70, 71],
                     [71, 89],
                     [71, 72],
                     [72, 90],
                     [72, 91],
                     [73, 74],
                     [73, 92],
                     [74, 94],
                     [74, 92],
                     [74, 75],
                     [75, 94],
                     [76, 77],
                     [77, 95],
                     [77, 96],
                     [77, 78],
                     [78, 97],
                     [78, 79],
                     [79, 98],
                     [80, 99],
                     [80, 100],
                     [81, 100],
                     [81, 82],
                     [82, 101],
                     [83, 101],
                     [83, 102],
                     [84, 85],
                     [85, 103],
                     [86, 103],
                     [86, 104],
                     [86, 103],
                     [87, 88],
                     [88, 117],
                     [88, 89],
                     [89, 105],
                     [90, 105],
                     [90, 91],
                     [91, 105],
                     [91, 107],
                     [92, 93],
                     [93, 94],
                     [94, 95],
                     [95, 122],
                     [96, 109],
                     [96, 97],
                     [97, 109],
                     [97, 98],
                     [98, 110],
                     [98, 99],
                     [99, 110],
                     [99, 112],
                     [100, 112],
                     [100, 113],
                     [100, 101],
                     [101, 114],
                     [102, 115],
                     [102, 103],
                     [104, 116],
                     [105, 108],
                     [105, 106],
                     [106, 107],
                     [107, 119],
                     [108, 117],
                     [108, 119],
                     [109, 124],
                     [109, 110],
                     [110, 111],
                     [111, 124],
                     [111, 112],
                     [112, 125],
                     [112, 114],
                     [113, 125],
                     [114, 131],
                     [114, 132],
                     [114, 126],
                     [114, 115],
                     [115, 126],
                     [115, 127],
                     [116, 127],
                     [116, 118],
                     [116, 117],
                     [117, 129],
                     [118, 134],
                     [118, 142],
                     [118, 129],
                     [119, 136],
                     [120, 121],
                     [120, 144],
                     [121, 145],
                     [121, 122],
                     [122, 146],
                     [122, 123],
                     [123, 137],
                     [123, 148],
                     [123, 149],
                     [123, 124],
                     [124, 138],
                     [124, 130],
                     [125, 131],
                     [126, 140],
                     [126, 127],
                     [127, 133],
                     [127, 134],
                     [128, 172],
                     [128, 188],
                     [128, 160],
                     [128, 142],
                     [128, 143],
                     [129, 142],
                     [129, 143],
                     [129, 135],
                     [130, 139],
                     [130, 131],
                     [132, 140],
                     [133, 141],
                     [133, 140],
                     [134, 141],
                     [134, 142],
                     [135, 143],
                     [135, 161],
                     [135, 136],
                     [136, 162],
                     [137, 147],
                     [138, 150],
                     [138, 152],
                     [139, 153],
                     [139, 154],
                     [139, 140],
                     [140, 154],
                     [140, 156],
                     [141, 158],
                     [141, 142],
                     [142, 158],
                     [142, 143],
                     [143, 160],
                     [144, 177],
                     [144, 145],
                     [145, 146],
                     [146, 163],
                     [146, 147],
                     [147, 164],
                     [148, 164],
                     [148, 149],
                     [149, 165],
                     [149, 150],
                     [150, 151],
                     [151, 165],
                     [151, 166],
                     [151, 152],
                     [152, 153],
                     [153, 166],
                     [153, 167],
                     [153, 154],
                     [154, 155],
                     [155, 167],
                     [155, 168],
                     [155, 156],
                     [156, 169],
                     [156, 157],
                     [157, 170],
                     [157, 158],
                     [158, 159],
                     [159, 186],
                     [159, 198],
                     [159, 170],
                     [159, 172],
                     [160, 173],
                     [160, 161],
                     [161, 174],
                     [162, 175],
                     [163, 177],
                     [164, 178],
                     [164, 179],
                     [165, 179],
                     [165, 180],
                     [166, 181],
                     [166, 183],
                     [167, 183],
                     [167, 168],
                     [168, 184],
                     [169, 184],
                     [170, 185],
                     [171, 199],
                     [171, 173],
                     [171, 175],
                     [172, 187],
                     [173, 188],
                     [173, 174],
                     [174, 175],
                     [176, 189],
                     [176, 177],
                     [178, 189],
                     [178, 191],
                     [179, 191],
                     [180, 193],
                     [180, 181],
                     [181, 193],
                     [181, 182],
                     [182, 195],
                     [182, 183],
                     [183, 196],
                     [184, 196],
                     [184, 197],
                     [184, 185],
                     [185, 186],
                     [186, 198],
                     [187, 198],
                     [187, 188],
                     [188, 199],
                     [189, 190],
                     [190, 192],
                     [190, 191],
                     [191, 192],
                     [192, 194],
                     [193, 194],
                     [194, 195],
                     [195, 197],
                     [196, 197],
                     [198, 199]],
            "Bus": [[1, 8, 18, 31, 44, 58],
                    [1, 9, 46],
                    [3, 11, 22],
                    [3, 12, 23],
                    [7, 17, 42],
                    [13, 23],
                    [13, 14],
                    [13, 14, 25, 39, 52],
                    [14, 15],
                    [15, 28, 41],
                    [15, 16, 29],
                    [22, 34],
                    [22, 23],
                    [22, 35, 65],
                    [23, 37, 50, 67],
                    [29, 41],
                    [29, 42],
                    [29, 55],
                    [34, 47, 46],
                    [34, 63],
                    [41, 40, 52],
                    [41, 54, 70, 87],
                    [42, 72],
                    [46, 45, 58],
                    [46, 61, 78],
                    [52, 51, 67],
                    [52, 69, 86],
                    [55, 71, 89],
                    [58, 74],
                    [58, 59, 76, 77],
                    [63, 79],
                    [63, 64, 65],
                    [63, 80, 100],
                    [65, 82],
                    [65, 66, 67],
                    [67, 102],
                    [67, 66, 82],
                    [72, 90, 105],
                    [72, 91, 107],
                    [74, 94],
                    [77, 95, 94],
                    [77, 78],
                    [77, 96, 109, 124],
                    [78, 79],
                    [82, 81, 100],
                    [82, 101, 114, 132, 140],
                    [86, 103, 102],
                    [86, 87],
                    [86, 104, 116],
                    [87, 88, 105],
                    [89, 105],
                    [93, 94],
                    [100, 112, 111],
                    [102, 115, 127],
                    [105, 106, 107],
                    [105, 108],
                    [107, 119, 136, 161],
                    [108, 117, 116],
                    [108, 135],
                    [111, 124],
                    [116, 127],
                    [116, 118, 142],
                    [122, 123],
                    [122, 121, 120, 144],
                    [123, 124],
                    [123, 149, 165],
                    [123, 137, 147, 146, 145, 144],
                    [124, 138, 152, 153],
                    [127, 133],
                    [128, 172, 187],
                    [128, 142],
                    [128, 188, 199],
                    [128, 160, 161],
                    [128, 143, 135],
                    [133, 140],
                    [133, 157],
                    [135, 161],
                    [140, 154],
                    [140, 156],
                    [142, 158, 157],
                    [144, 163],
                    [153, 166, 181, 180],
                    [153, 167, 168, 184],
                    [153, 154],
                    [154, 155, 156],
                    [156, 169, 184],
                    [156, 157],
                    [157, 170, 185],
                    [161, 174, 175, 171, 199],
                    [163, 178, 191],
                    [163, 177, 176],
                    [165, 179, 191],
                    [165, 180],
                    [176, 189, 190],
                    [180, 192, 190],
                    [180, 193, 194, 195, 196, 184],
                    [184, 185],
                    [185, 198, 187],
                    [190, 191]]

        }
        }

maps = {"map3": map3}
icons = ["cat",
         "deer",
         "dog",
         "fox",
         "frog",
         "grasshopper",
         "owl",
         "panda",
         "snail",
         "walrus"]
